ChangeSet 1.865.28.6, 2002/12/19 12:09:37-08:00, oliver@neukum.name

[PATCH] USB: speedtouch remove error handling with usb_clear_halt

usb_clear_halt cannot be used from a completion handler because it sleeps
As that code path would have crashed the driver, it's obviously not needed
and can be removed.


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:41:09 2002
+++ b/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:41:09 2002
@@ -735,9 +735,6 @@
 			return;
 		}
 		break;
-	case -EPIPE:		/* stall or babble */
-		usb_clear_halt (urb->dev, usb_rcvbulkpipe (urb->dev, UDSL_ENDPOINT_DATA_IN));
-		break;
 	case -ENOENT:		/* buffer was unlinked */
 	case -EILSEQ:		/* unplug or timeout */
 	case -ETIMEDOUT:	/* unplug or timeout */
